Skip to content

闪电实况

访问限制

本部分 API 属于增值服务,仅提供给企业套餐开发者,如需采购请联系彩云商务

请求

http
GET https://api.caiyunapp.com/v1/lightning

查询参数

参数必填默认值取值范围说明
tokenAPI 认证凭证,详见 认证与鉴权
boundslng1,lat1,lng2,lat2 边界范围,顺序为【左、下、右、上】
duration0~600最近多少秒的数据

请求示例

bash
curl "https://api.caiyunapp.com/v1/lightning?bounds=85.873123,0.048410,129.728954,55.057315&duration=90&token={token}"

响应示例

json
{
  "status": "ok",
  "server_time": 1750672564,
  "version": "V2.0",
  "start_time": 1750672503,
  "statistic": {
    "count": 41,
    "max_slope": 0,
    "max_intensity": -190.439
  },
  "data": [
    {
      "intensity": -190.439,
      "time_step": 1750672500,
      "slope": 0,
      "strength": 190.439,
      "lat": 26.52,
      "lng": 113.34,
      "count": 0
    },
    {
      "intensity": -116.124,
      "time_step": 1750672500,
      "slope": 0,
      "strength": 116.124,
      "lat": 27.87,
      "lng": 120,
      "count": 1
    },
    {
      "intensity": -44.3,
      "time_step": 1750672500,
      "slope": 0,
      "strength": 44.3,
      "lat": 26.49,
      "lng": 113.37,
      "count": 4
    },
    {
      "intensity": -29.907,
      "time_step": 1750672500,
      "slope": 0,
      "strength": 29.907,
      "lat": 28.71,
      "lng": 120.87,
      "count": 9
    },
    {
      "intensity": -21.075,
      "time_step": 1750672500,
      "slope": 0,
      "strength": 21.075,
      "lat": 26.67,
      "lng": 119.52,
      "count": 16
    },
    {
      "intensity": 13.35,
      "time_step": 1750672500,
      "slope": 0,
      "strength": 13.35,
      "lat": 27.33,
      "lng": 120.24,
      "count": 25
    }
  ]
}

响应字段

JSONPath类型说明
$.statusstring响应状态
$.server_timenumber服务器时间
$.start_timenumber数据开始时间
$.versionstring内部版本号
$.statistic.countnumber累计多少次闪电
$.statistic.max_intensitynumber最大回击峰值强度
$.statistic.max_slopenumber最大回击陡度
$.dataarray<object>闪电数据
$.data[].time_stepnumber内部定义的时间步长,等价于时间戳
$.data[].slopenumber回击最大陡度
$.data[].countnumber当前网格区间有多少个闪电
$.data[].strengthnumber回击峰值强度,单位 kA
$.data[].intensitynumber回击峰值强度,单位 kA,区分正负值
$.data[].latnumber纬度
$.data[].lngnumber经度